Update template
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const updatedTemplate = await reloop.template.update("tpl_123456789", {6 name: "Updated Welcome Email",7 subject: "Welcome to Reloop! (Updated)"8});1{2 "id": "con_123456789",3 "name": "Newsletter",4 "description": "example_description",5 "subject": "Welcome to Reloop",6 "fromEmail": "example_fromEmail",7 "replyTo": "example_replyTo",8 "previewText": "example_previewText",9 "organizationId": "example_organizationId",10 "createdByUserId": "example_createdByUserId",11 "status": "draft",12 "content": [],13 "variables": [14 {15 "name": "Newsletter",16 "type": "string",17 "defaultValue": null18 }19 ],20 "currentVersion": 0,21 "thumbnailUrl": "example_thumbnailUrl",22 "isDefault": true,23 "deletedAt": null,24 "createdAt": "2026-03-23T10:00:00.000Z",25 "updatedAt": "2026-03-23T10:00:00.000Z"26}Path Parameters
idstringRequired
Body Parameters
namestring
- Minimum length:
1 - Maximum length:
255
descriptionstring
subjectstring
- Maximum length:
500
fromEmailstring
- Maximum length:
255
replyTostring
- Maximum length:
255
previewTextstring
contentany[]
Example: ["value1", "value2"]
variablesobject[]
variables properties
namestringRequired
type"string" | "number"Required
Possible values: string | number
defaultValuestring | nullRequired
status"draft" | "published" | "archived"
Possible values: draft | published | archived
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.